Subject: bug#58486: [PATCH] Prevent .dir-locals.el from being byte-compiled

From: Stefan Kangas <[email-masked]>
Date: Thu, 13 Oct 2022 16:51:27 +0200

Philip Kaludercic <[email-masked]> writes:

> AFAIR this was not done to avoid newer versions of Emacs creating
> .dir-locals.eld files that older versions of Emacs won't notice.

If we add support to read them when they exist in Emacs 29, it will be
safe to start creating them in some future version 30+.